import request from '@/utils/request'

// 创建农场任务
export function createTask(data) {
  return request({
    url: '/farm/task/create',
    method: 'post',
    data: data
  })
}

// 更新农场任务
export function updateTask(data) {
  return request({
    url: '/farm/task/update',
    method: 'put',
    data: data
  })
}

// 删除农场任务
export function deleteTask(id) {
  return request({
    url: '/farm/task/delete?id=' + id,
    method: 'delete'
  })
}

// 获得农场任务
export function getTask(id) {
  return request({
    url: '/farm/task/get?id=' + id,
    method: 'get'
  })
}

// 获得农场任务分页
export function getTaskPage(query) {
  return request({
    url: '/farm/task/page',
    method: 'get',
    params: query
  })
}

// 条件搜索获得农场任务分页
export function getTaskSearchPage(query) {
  return request({
    url: '/farm/task/pageSearch',
    method: 'get',
    params: query
  })
}

// 导出农场任务 Excel
export function exportTaskExcel(query) {
  return request({
    url: '/farm/task/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
